8

Anyone getting this? Is there a way to get rid of it?

enter image description here

New important security and hardware support update

WARNING: Security updates for your current Hardware Enablement Stack ended on 2016-08-04: *http://wiki.ubuntu.com/1404_HWE_EOL

  • yes I've just receive the same message..I'm on xubuntu 14.04.LTS my kernel is 3.19.0-66.. – user5877 Aug 19 '16 at 11:55
  • Same here. I run Elementary OS in a ASUS UX31A. After hitting install the message dissapeared but I noticed two changes: 1) The fix I did for hibernation (see this thread) does not work anymore, the option is gone. 2) Mouse pointer vanished after every time after suspension, and had to restore it by rebooting. I fixed that problem by unsintalling xserver-xorg-video-intel using Synaptic Package Manager. – Toni Blanco Aug 22 '16 at 14:47
  • I recognized problems with notifications in elementary OS after "Install...". The gala window manager crashes every time a notification trys to appear. If i force gala to restart with "sudo nohup gala --replace &" it is fine until the next notification message. No nice behaviour :-( – user5911 Aug 22 '16 at 14:59
  • I'm runnig Elementary OS freya when i cick "INSTALL" it shows that message: "PACKAGE DEPENDENCIES CANNOT BE RESOLVED" – user5916 Aug 23 '16 at 10:33
  • I have installed this update and since then my computer regularly crashes no matter what I do (surfing, watching videos, listening to music). Any suggestions on how to revert the changes? – Petr Brázda Aug 23 '16 at 11:33
4

There is no need for these changes to be made within Freya, as the update is being delivered via the update manager. You should upgrade there, or the correct way to upgrade to the Xenial Hardware Enablement Stack via the command line like this:

sudo apt install --install-recommends linux-generic-lts-xenial xserver-xorg-core-lts-xenial xserver-xorg-lts-xenial xserver-xorg-video-all-lts-xenial xserver-xorg-input-all-lts-xenial libwayland-egl1-mesa-lts-xenial

  • Thank you! Just out of curiosity, what's the difference between updating via the update manager and updating via the dialog shown in the question? – Ryan DeBeasi Aug 23 '16 at 19:27
  • Behind the scene, they should be effectively the same thing. – Lewis Goddard Aug 23 '16 at 20:14
  • And lose my fglrx drivers and abandon gaming on freya ? – Suici Doga Sep 9 '16 at 4:21
  • @SuiciDoga If fglrx doesn't support a six-month old LTS stack, that's hardly elementarys fault. These will be the default kernels and graphics stack in Loki. – Lewis Goddard Sep 9 '16 at 15:16
  • Loki is released.I'm trying it and will upgrade kernel to 4.7 and use oibaf place to get the latest drivers – Suici Doga Sep 10 '16 at 2:03
1

Ubuntu provides Hardware Enablement Stacks (HWE) for various kernels. The latest messages relate to a bunch of HWEs whose EOLs (End-of-long-term support??) ended of August 4, 2016. I've received the same message on my system. Running hwe-support-status tells me there is a graphics stack that needs to be upgraded. Seems like an upgrade is in order. I changed settings on my Software Updater to notify me if there is a new LTS version. I'm not if this will help, either me or anyone else.

I've noted another problem. I installed Elementary using an ISO image from a USB stick. It now seems that, in order to fix this HWE issue, I need to have the volume mounted to try and find the original HWE stack-related packages. More updates to follow once I have located the USB with the image.

1

This dialog isn't super clear, but installing will update elementary's base to Ubuntu LTS 14.04.5. It should be safe to click the "install" button, and when the installation is done, you shouldn't see that dialog anymore. It's only 14.04.04 and earlier that have been end-of-lifed.

The link in that dialog has more details.

1

I don't know exactly which is the impact of this update. But, today i clicked on button install to run the update and all is ok. Before updating my kernel is 3.19.0-66-generic and now is 4.4.0-34-generic.

To see kernel version:

uname -r

So, my answer not is saying what is this, but I am sharing my experience of having updated and everything is still OK.


ANSWER UPDATED:

I just have a problem...

Before, when I close the laptop lid, nothing happens (I did it following this thread). Now, when I close the lid, this error is throwed:

BUG Unable to handle kernel NULL pointer dereference.

I fix it changing the options lid-close-ac-action and lid-close-battery-action from nothing to blank.

Now, apparently all is ok again.

-3

This discussion could maybe to help you : https://ubuntuforums.org/showthread.php?t=2334371&s=80a71093709f97cf78a5eaa0ef2aa50d

Not the answer you're looking for? Browse other questions tagged or ask your own question.